# XcodePlugin

abstract class XcodePlugin : IdePlugin

A plugin for creating a XCode project for a gradle project.

#### Since

4.2

## Constructors

XcodePlugin
Link copied to clipboard
@Inject
constructor(gidGenerator: GidGenerator, objectFactory: ObjectFactory, artifactRegistry: IdeArtifactRegistry)

## Functions

addWorker
Link copied to clipboard
open fun addWorker(worker: Task)
apply
Link copied to clipboard
open fun apply(target: Project)
getCleanTask
Link copied to clipboard
open fun getCleanTask(): TaskProvider<out Task>
getLifecycleTask
Link copied to clipboard
open fun getLifecycleTask(): TaskProvider<out Task>
isRoot
Link copied to clipboard
open fun isRoot(): Boolean
toGradleCommand
Link copied to clipboard
open fun toGradleCommand(project: Project): String